:root {
    --bmscsblue: #0066B3;
    --bmscsorange: rgb(255, 102, 0);
    --gray: rgb(100, 100, 100);
    --bmscspetrolblue: rgb(84, 116, 131);
    --bmscsgray: rgb(87, 94, 98);
    --separatorgray: rgba(87, 94, 98, 0.5);
}

@font-face {
    font-family: "Neo Sans Pro";
    src: url("NeoSansProCyr-Regular.ttf");
}

@font-face {
    font-family: "Neo Sans Pro Bold";
    src: url("NeoSansProCyr-Bold.ttf");
}


h1,
h2,
h3 {
    font-family: "Neo Sans Pro", sans-serif;
    margin-bottom: 24px;
    margin-top: 0;
}

h1 {
    color: var(--bmscsgray);
    font-size: 26pt;
}


h2 {
    font-size: 24pt;
    color: var(--bmscsgray);
}

h3 {
    font-size: 22pt;
    color: var(--bmscsorange);
}


.feature-list {
    margin: auto;
    margin-bottom: 16px;
}

body {
    font-family: "Neo Sans Pro", sans-serif;
}


.bank-logo {
    background-image: url("cs-logo.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    width: calc(800px / 6);
    height: calc(550px / 6);
}


@keyframes centerToLeft {
    from {
        transform: translateX(100px);
        opacity: 0;
    }
    to {
        transform: translateX(0px);
        opacity: 1
    }
}

@keyframes centerToRight {
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

.frame-result-table {
    animation-name: centerToRight;
    animation-duration: 0.25s;
    animation-timing-function: ease-in-out;
}

.showpages {
    animation-name: centerToLeft;
    animation-duration: 0.25s;
    animation-timing-function: ease-in-out;
}

.image-container {
    display: flex;
    justify-content: center;
    position: relative;
}


.container-with-navbar {
    height: calc(100vh - 157px);
}

.container-without-navbar {
    height: calc(100vh - 182px);
}


#image-container.landscape {
    flex-direction: column;
}

#image-container-wrapper {
    overflow: hidden;
    background-color: lightgray;
}

#bank-title {
    font-size: 48px;
    margin-left: 24px;
    font-family:  "Neo Sans Pro Bold",serif;
    color: rgb(3, 65, 139)
}

.headline {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
}

.table-results {
    width: 100%;
    table-layout: auto;
}

.table-results tr, .table-results th {
    height: 32px;
}

.table-results th {
    text-align: left;
}


.table-results td {
    text-align: left;
}

table tr {
    background-color: white;
}

.table-results tr:nth-child(even) {
    background-color: #f2f2f2; /* Leicht graue Farbe */
}

.table-results th:nth-child(2),
.table-results td:nth-child(2),
.table-results th:nth-child(3),
.table-results td:nth-child(3) {
    width: 150px; /* Feste Breite für die 2. und 3. Spalte */
}

.footer {
    display: flex;
    align-items: baseline;
    width: 50%;
    justify-content: space-between;
    flex-wrap: wrap;
    margin: 24px auto auto;
}


.wide-column {
    width: 62%;
}

.slim-column {
    width: 38%;
}

.frame-result-table {
    transition: all 0.5s ease-in-out;
    background-color: white;
}

.frame {
    padding: 16px 24px;
    box-sizing: border-box;
    margin: auto;
}

.topnav-pictures {
    display: flex;
    padding: 8px;
    justify-content: space-between;
    height: 26px;
    align-items: center;
    border-color: var(--separatorgray);
    border-width: 0 0 1px 0;
    border-style: solid;
}

.navbar-pn {
    display: flex;
}

.zeitraum {
    font-family: "Arial", sans-serif;
    font-weight: bold;
}

.zeitraum input {
    width: 86px;
}

.navbar-dropdown {
    margin-left: 4px;
    margin-right: 16px;
}

.navbar-toggle-classified {
    width: 200px;
    display: flex;
    justify-content: space-around;
}

.showpages {
    margin-right: 16px;
    overflow: hidden;
}

.topnav-pictures a:hover {
    background-color: #ddd;
    color: black;
}

.showpages {
    opacity: 1;
}

.outer-wrapper {
    display: flex;
    justify-content: space-around;
    width: 90%;
    margin: auto;
}

.frame.showpdf {
    transform: translateX(200px);
}

.two-cols-wrapper {
    display: flex;
    justify-content: center;
    height: calc(100vh - 114px);
}

.twocols {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}


.two-cols-column {
    border-radius: 5px;
    box-shadow: 0 0 16px -8px black;
    border-color: rgba(87, 94, 98, 0.35);
    border-style: solid;
    border-width: 1px;
}

.customer {
    display: flex;
    align-items: center;
}

.customer-text {
    font-size: 20px;
    color: var(--gray);
    margin-left: 12px;
}

.errormessage {
    color: red;
}

.customer-logo {
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url("cs-logo.svg");
    height: 86px;
    width: 220px;
    margin-bottom: 10px;
    margin-left: 10px;
}

#btn-forward {
    background-image: url("arrow_forward_ios.png");
}

#btn-back {
    background-image: url("arrow_back_ios.png");
}

#btn-forward,
#btn-back {
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    height: 24px;
    width: 24px;
    display: inline-block;

}

.menu {
    width: 30px;
    height: 30px;
    background-image: url("menu.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    margin: 0 30px;
}

a {
    display: contents;
}

.active {
    background-color: lightgreen !important;
    transition: background-color 0.2s ease-in;
    border-color: white !important;

}


.hint {
    background-image: url("upload-file.svg");
    background-position: center;
    background-size: 80px;
    background-repeat: no-repeat;
    background-color: rgba(255, 102, 0, 0.1);
}

input[type=file] {
    color: transparent;
    text-decoration: none;
    cursor: pointer;
    width: 240px;
    height: 240px;
    border-width: 2px;
    border-color: var(--gray);
    border-style: dashed;
    border-radius: 12px;
    margin-top: 0;
    margin-left: 0;
}

input[type=file].neutral {
    background-image: url("upload-file.svg");
    background-position: center;
    background-size: 80px 80px;
    background-repeat: no-repeat;
}

input[type=file]:hover {
    border-color: var(--bmscsorange);
    transition: border-color 0.4s;
}

input[type=file]::file-selector-button {
    display: none;
}

.result-input {
    border: none;
    font-family: 'Arial', sans-serif;
    font-size: 12pt;
    text-align: right;
    background-color: transparent;
    width: 122px;
}

.kundennummer input {
    font-size: 12pt;
    font-family: 'Arial', sans-serif;
    padding-left: 1px;
}

textarea {
    border: none;
}

.content {
    max-width: 1024px;
    margin: auto;
    display: flex;
    flex-direction: column;
}

.result-table li {
    height: 36px;
    width: 100%;
}

.result-table {
    height: calc(100vh - 282px);
    overflow: auto;
    font-family: "Arial", sans-serif;
    margin-left: -2px;
    margin-right: -2px;
}


.result-footer {
    padding: 14px 8px 0;
    border-style: solid;
    border-width: 1px 0 0 0;
    border-color: var(--separatorgray);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 102px;
}


.table-row {
    display: flex;
    justify-content: space-between;
}

#theForm {
    display: flex;
    justify-content: center;
    height: 272px;
}

#theForm div {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid var(--bmscsblue); /* Blue */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    margin-left: 30px;
    margin-top: 60px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.container-example img {
    max-width: 100%;
    max-height: 100%;
}

.image-overflow {
    width: 100%;
}

#modalclose {
    height: 40px;
    width: 40px;
    background-image: url("modal_close.svg");
    right: 30px;
    top: 30px;
    position: absolute;
    background-repeat: no-repeat;
    background-size: contain;
}

#modalwindow {
    position: fixed;
    background-color: rgba(255, 255, 255, 0.25);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

#modalwindow.modal-active {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-clickable:hover {
    background-color: lightgray;
}

.konfidenz-kreis {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    display: inline-block;
    vertical-align: middle;
    margin-top: -3px;
    cursor: pointer;
}

.konfidenz-kreis:hover {
    border: 1px dotted black;
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 44px;
    height: 24px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: var(--bmscsblue);
}

input:focus + .slider {
    box-shadow: 0 0 1px var(--bmscsblue);
}

input:checked + .slider:before {
    -webkit-transform: translateX(18px);
    -ms-transform: translateX(18px);
    transform: translateX(18px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 24px;
}

.slider.round:before {
    border-radius: 50%;
}

.checkbox {
    accent-color: var(--bmscspetrolblue);
}

.button, .inverted_button {
    display: inline-block;

    width: fit-content;
    font-size: 1.3em;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    border-radius: 5px;
    border-color: var(--bmscspetrolblue);
    transition: background-color 0.15s ease;

    font-family: "Neo Sans Pro", sans-serif;
}

.button {
    color: #fff;
    background-color: var(--bmscspetrolblue);
    padding: 0.3em 0.6em;
    border-style: none;
}

.button:hover {
    background-color: var(--bmscsorange);
    border-color: var(--bmscsorange);
}

.inverted_button {
    color: var(--bmscspetrolblue);
    background-color: white;
    padding: 0.15em 0.45em;
    border-style: solid;
    border-width: 0.15em;
}

.inverted_button:hover {
    background-color: var(--bmscspetrolblue);
    color: white;
}



.login_form {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.login_form label {
    display: inline-block;
    width: 10vw;
}

.login_content {
    display: flex;
    flex-direction: column;
    margin: 5vh 0;
}

.result-headline {
    display: flex;
    align-items: center; /* Zentriert die Elemente vertikal */
    justify-content: flex-start; /* Startet die Elemente am Anfang der Flexbox */
}

.not_shown {
    display: none;
}

.checkmark {
  -ms-transform: rotate(45deg); /* IE 9 */
  -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
  transform: rotate(45deg);
}

.checkmark_stem {
  position: absolute;
  width: 4px;
  height: 11px;
  background-color: #38b000;
  left: 8px;
  top: 0;
}

.checkmark_kick {
  position: absolute;
  width: 7px;
  height: 4px;
  background-color: #38b000;
  left: 4px;
  top: 8px;
}

.big_left_spacing {
    margin-left: 20px;
}

.small_left_spacing {
    margin-left: 10px;
}

.small_right_spacing {
    margin-right: 10px;
}


.thumbnail-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding: 10px;
    max-width: 100%;
    margin: 0 auto;
    align-items: center;
}

.thumbnail-grid .thumbnail {
    width: 100%;
    height: auto;
    cursor: pointer;
    max-height: 250px;
    max-width: 250px;
}

.grid-container {
    margin-right: 10px;
    overflow-y: auto;
}

.thumbnail-wrapper {
    position: relative;
    flex-basis: 170px;
    max-height: 250px;
    max-width: 250px;
    height: auto;
    width: 100%;
    display: inline-block;
    border: 2px solid #ccc;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s;
}

.thumbnail-wrapper:hover {
    transform: scale(1.03);
}

.thumbnail-checkbox {
    position: absolute;
    /*top: 10px;*/
    /*right: 10px;*/
    scale: 2.5;
    z-index: 2;
}

.thumbnail-turnElement {
    position: absolute;
    /*top: 0;*/
    /*left: 0;*/
    background: white;
    border: none;
    border-radius: 50%;
    width: 2.5em;
    height: 2.5em;
    margin: 3px 3px 3px 4px;
    padding: 0;
    z-index: 2;
}

.thumbnail-turnElement:hover {
    background: rgb(240, 240, 240);
    cursor: ne-resize;
}

.thumbnail-turnElement > img {
    cursor: ne-resize;
}

.thumbnail {
    display: block;
}

.selected-thumbnail {
    border: 1px solid orange;
    box-shadow: 0 0 8px orange;
}

.selected-for-preview {
    border: 2px solid #007bff;
}